
Foreman - Bug #37343

kickstart_kernel_options deprecation warning - ks param on rhel8
Assignee:    

Category: TFTP   

Target version:    
ull/10123

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2240961

Description of problem:

when provisioning RHEL8 using kickstart, there is a deprecation warning displayed regarding 'ks' paramter.

this has been taken care of for RHEL9,

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/snippet/kickstart_kernel_options.

erb#L40-L56

However, we could include RHEL8 in the conditional too to prevent the warning from being displayed.

Version-Release number of selected component (if applicable):

6.14.0

Steps to Reproduce:

try to kickstart provision a RHEL8 host (make sure the `kickstart_kernel_options` template is used)

Actual results:

Warning just after the anaconda installer is initialized

Expected results:

no deprecation warnings

Additional info:

Associated revisions

Revision 7d5fb02a - 04/16/2024 05:20 AM - Girija Soni

Fixes #37343 - Fix the ks param deprecation warning for rhel 8

History

#1 - 04/11/2024 09:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10123 added

#2 - 04/16/2024 05:20 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 04/16/2024 06:00 AM - Girija Soni

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7d5fb02a0b02b805b877ff890ac8b2f02bf337b8.
